#if !defined(__ESTEIDCONSOLESIGNER_H_INCLUDED__)
#define __ESTEIDCONSOLESIGNER_H_INCLUDED__

#include "EstEIDSigner.h"

namespace digidoc
{
    /**
     * EstEID ID-Card signer with interactive PIN acquisition from console.
     *
     * @author Janari Põld
     */
    class EstEIDConsolePinSigner : public EstEIDSigner
    {

      public:
          EstEIDConsolePinSigner(const std::string &driver, const std::string &prompt) throw(SignException);
          EstEIDConsolePinSigner(const std::string &driver) throw(SignException);
          virtual ~EstEIDConsolePinSigner();
          void setPrompt(const std::string &prompt);

      protected:
          virtual std::string getPin(const PKCS11Cert &certificate) throw(SignException);

      private:
          std::string prompt;

    };

}

#endif // !defined(__ESTEIDCONSOLESIGNER_H_INCLUDED__)
